claw::graphic::jpeg::reader::source_manager Struct Reference

Source manager that allow us to read from a std::istream. More...

`#include <jpeg.hpp>`

## Public Member Functions

| source_manager (std::istream &is)
| Constructor.
| ~source_manager ()
| Destructor.
boolean | fill_input_buffer ()
| Fill the input buffer with new data.
void | skip_input_data (long num_bytes)
| Skip some bytes in the input buffer.

## Public Attributes

struct jpeg_source_mgr | pub
| "public" fields, needed by the jpeg library.

## Detailed Description

Source manager that allow us to read from a std::istream.

Author
  Julien Jorge

Definition at line 89 of file jpeg.hpp.

## Constructor & Destructor Documentation

## source_manager()

claw::graphic::jpeg::reader::source_manager::source_manager | ( | std::istream & | is | ) |

Constructor.

Parameters

  is | The stream we read from.

Definition at line 97 of file jpeg_reader.cpp.

References pub.

## ~source_manager()

claw::graphic::jpeg::reader::source_manager::~source_manager | ( |  | ) |

Destructor.

Definition at line 115 of file jpeg_reader.cpp.

## Member Function Documentation

## fill_input_buffer()

boolean claw::graphic::jpeg::reader::source_manager::fill_input_buffer | ( |  | ) |

Fill the input buffer with new data.

Definition at line 125 of file jpeg_reader.cpp.

References pub.

Referenced by claw__graphic__jpeg__source_manager__fill_input_buffer(), and skip_input_data().

## skip_input_data()

void claw::graphic::jpeg::reader::source_manager::skip_input_data | ( | long | num_bytes | ) |

Skip some bytes in the input buffer.

Parameters

  num_bytes | The number of bytes to skip.

Definition at line 147 of file jpeg_reader.cpp.

References CLAW_PRECOND, fill_input_buffer(), and pub.

Referenced by claw__graphic__jpeg__source_manager__skip_input_data().

## Member Data Documentation

## pub

struct jpeg_source_mgr claw::graphic::jpeg::reader::source_manager::pub

"public" fields, needed by the jpeg library.

Definition at line 100 of file jpeg.hpp.

Referenced by claw__graphic__jpeg__source_manager__fill_input_buffer(), claw__graphic__jpeg__source_manager__skip_input_data(), fill_input_buffer(), skip_input_data(), and source_manager().

The documentation for this struct was generated from the following files:

- jpeg.hpp
- code/jpeg_reader.cpp